
/** @noSelf **/
export class Peripheral {
    static find<T extends Peripheral>(ty: string, 
                filter?: (name: string, wrapped: Peripheral) => boolean
               ): [T, T|null, T|null, T|null] {
        return peripheral.find(ty, filter);
    }
    static findOne<T extends Peripheral>(ty: string, 
                filter?: (name: string, wrapped: Peripheral) => boolean
               ): T {
        const [p, _a, _b, _c] = Peripheral.find(ty, filter);   
        return p as T;
    }

}
